#!/bin/bash

DBUS_PATH=$1

function main() {
    local bios_ver
    bios_ver=$(SudoWrapper -a "dmidecode -t 0" | grep "Version" | awk -F ': ' '{print $2}')
    echo "BIOS version: ${bios_ver}"
    local sys_ver
    sys_ver=$(cat /etc/hw_version)
    echo "System version: ${sys_ver}"
    local hw_str
    local module_str="Model name"
    hw_str=$(lscpu | grep $module_str | awk '{print $NF}')
    if [ "$hw_str" = "9000C" ]; then
        hw_ver=$(SudoWrapper -a "dmidecode -t 11" | grep "String 6" | awk -F ': ' '{print $2}')
    else
        hw_ver=$(hwfirmware -v | grep "Version" | awk -F ': ' '{print $2}')
    fi
    echo "Hardware version: ${hw_ver}"
}

main
